<h1><i class="rs rs-firmwareupload"></i> <?php _('Flash Firmware') ?></h1>

<div class="clearfix">

    <form enctype="multipart/form-data" action="{{uploadUrl}}" id="formuploadfirmware" class="form-horizontal">
        <input type="hidden" name="sess" value="{{user.getSession()}}">

        <div class="form-group">
            <label class="control-label col-sm-5"><?php _('Printer Board Type') ?></label>

            <div class="col-sm-7">
                <select class="form-control" ng-model="activeBoardId" ng-options="f.id as f.name for f in boards"></select>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-5 col-sm-7">
                <div class="checkbox">
                    <label class="checkbox">
                        <input type="checkbox" name="verbose" value="1"> <?php _('Verbose output') ?>
                    </label>
                </div>
            </div>
        </div>
        <div class="form-group" ng-show="activeBoard.extraPort">
            <label class="control-label col-sm-5"><?php _('Upload port') ?></label>

            <div class="col-sm-7">
                <div class="input-group">
                    <input type="text" class="form-control" ng-model="extraPort">
                    <span class="input-group-btn">
    <div class="btn-group" uib-dropdown>
        <button type="button" class="btn btn-default" uib-dropdown-toggle>
            <?php _('Ports') ?> <span class="caret"></span>
        </button>
        <ul class="dropdown-menu" role="menu" style="max-height:200px;overflow:auto">
            <li ng-repeat="p in ports track by $index">
                <a href="javascript:void(0)" ng-click="$parent.extraPort=p">{{p}}</a></li>
        </ul>
    </div>
    </span>

                </div>
                <small><?php _('This uploader changes the USB signature which may lead to a different port name. Please enter the port name when in bootloader mode.') ?>
                </small>
            </div>

        </div>
        <div class="row">
            <div class="col-sm-12">
                 <span class="btn btn-primary btn-block btn-file" ng-disabled="uploading">
                            <i class="fa fa-upload rs-bigtab"></i> <span ng-hide="uploading"><?php _('Upload Firmware Image') ?></span><span ng-show="uploading"><?php _('Uploading ...') ?></span>
                            <input type="file" name="filename" id="firmwareUpload"/>
                        </span>

            </div>
        </div>
    </form>
</div>
<h4><?php _('Output') ?></h4>
<div id="firmware_output" class="logpanel select-text" style="height:300px;overflow:scroll;margin-top:15px;" autoscroll2="logAutoscroll">
</div>