-- Module extension on server side for the frontend

-- We need this to define the default language as selected in the user interface

frontLanguageDetector = function(url)
    if not url:startsWith("/mod/front/") then
        return nil
    end
    local s = settings.getObject("frontSetting",{})
    return s.language
end
server:registerLanguageDetector(frontLanguageDetector)
